// Copyright 2017 Ingo Steinwart
//
// This file is part of liquidCluster.
//
// liquidCluster is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as 
// published by the Free Software Foundation, either version 3 of the 
// License, or (at your option) any later version.
//
// liquidCluster is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with liquidCluster. If not, see <http://www.gnu.org/licenses/>.


#if !defined (FULL_64BIT_SUPPORT_H) 
	#define FULL_64BIT_SUPPORT_H

	
	
#include <stdint.h>
	
#include <vector>
using namespace std;

//**********************************************************************************************************************************


typedef std::vector<double>::size_type    size_type_double_vector__;
typedef std::vector<unsigned>::size_type  size_type_unsigned_vector__;

//**********************************************************************************************************************************



#if UINTPTR_MAX == 0xffffffffffffffff
	#define FULL_64BIT_SUPPORT
#else
	#undef FULL_64BIT_SUPPORT
#endif

#endif


